### Constructor

# RB RhythmDBPropertyModel new

#### Declaration [src]

    RhythmDBPropertyModel*
    rhythmdb_property_model_new (
      RhythmDB* db,
      RhythmDBPropType propid
    )

#### Description [src]

Creates a new property model for the specified property ID.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB` object.

  The data is owned by the caller of the function.

`propid`

  Type: `RhythmDBPropType`

  The property to index.

#### Return value

Type: `RhythmDBPropertyModel`

The new `RhythmDBPropertyModel`.

The caller of the function takes ownership of the data, and is responsible for freeing it.